function loadFinish() {
    wx.loadFinish();
}
function appCallback(src) {
    wx.config.success(src);
}
var wx = (function WX() {
    var ext = {
        readyList: [],
        ready: function(fn) {
            ext.readyList.push(fn);
        },
        loadFinish: function() {
            for (var i in this.readyList) {
                ext.readyList[i]();
            }
        },
        getSystemInfo: function(o) {
            ext.config = o;
            //调用bridge，回调
            jsbc.getSystemInfo();
        },
        getNetworkType: function(o) {
            ext.config = o;
            jsbc.getNetworkType();
        },
        getUserInfo: function(o) {
            ext.config = o;
            jsbc.getUserInfo();
        },
        getUserInfoForce: function(o) {
            ext.config = o;
            jsbc.getUserInfoForce();
        },
        updateTimelineShareData: function(o) {
            ext.config = o;
            jsbc.updateTimelineShareData(JSON.stringify(o));
        },
        updateAppMessageShareData: function(o) {
            ext.config = o;
            jsbc.updateAppMessageShareData(JSON.stringify(o));
        },
        onMenuShareTimeline: function(o) {
            ext.config = o;
            jsbc.onMenuShareTimeline(JSON.stringify(o));
        },
        onMenuShareAppMessage: function(o) {
            ext.config = o;
            jsbc.onMenuShareAppMessage(JSON.stringify(o));
        },
        onMenuShareSina: function(o) {
            ext.config = o;
            jsbc.onMenuShareSina(JSON.stringify(o));
        },
        onMenuShareQQ: function(o) {
            ext.config = o;
            jsbc.onMenuShareQQ(JSON.stringify(o));
        },
        chooseImage: function(o) {
            ext.config = o;
            jsbc.chooseImage(JSON.stringify(o));
        },
        chooseVideo: function(o) {
            ext.config = o;
            jsbc.chooseVideo(JSON.stringify(o));
        },
        previewImage: function(o) {
            ext.config = o;
            jsbc.previewImage(JSON.stringify(o));
        },
        startRecord: function(o) {
            ext.config = o;
            jsbc.startRecord();
        },
        stopRecord: function(o) {
            ext.config = o;
            jsbc.stopRecord();
        },
        onVoiceRecordEnd: function(o) {
            ext.config = o;
            jsbc.onVoiceRecordEnd();
        },
        playVoice: function(o) {
            ext.config = o;
            jsbc.playVoice(JSON.stringify(o));
        },
        pauseVoice: function(o) {
            ext.config = o;
            jsbc.pauseVoice(JSON.stringify(o));
        },
        stopVoice: function(o) {
            ext.config = o;
            jsbc.stopVoice(JSON.stringify(o));
        },
        onVoicePlayEnd: function(o) {
            ext.config = o;
            jsbc.onVoicePlayEnd();
        },
        openLocation: function(o) {
            ext.config = o;
            jsbc.openLocation(JSON.stringify(o));
        },
        getLocation: function(o) {
            ext.config = o;
            jsbc.getLocation(JSON.stringify(o));
        },
        openAPP: function(o) {
            ext.config = o;
            jsbc.openAPP(JSON.stringify(o));
        },
        openArticle: function(o) {
            ext.config = o;
            jsbc.openArticle(JSON.stringify(o));
        },
        readArticle: function(o) {
            ext.config = o;
            jsbc.readArticle();
        },
        jumpPublish: function(o) {
            ext.config = o;
            jsbc.jumpPublish();
        },
        getCommand: function(o) {
            ext.config = o;
            jsbc.getCommand();
        },
        parseWebText:function(o){
            ext.config = o;
            jsbc.parseWebText(JSON.stringify(o));
        },
        getWebToken:function(o){
            ext.config = o;
            jsbc.getWebToken();
        },
        uploadImage:function(o){
            ext.config = o;
            jsbc.uploadImage(JSON.stringify(o));
        },
        uploadImages:function(o){
            ext.config = o;
            jsbc.uploadImages(JSON.stringify(o));
        },
        uploadVideo:function(o){
            ext.config = o;
            jsbc.uploadVideo(JSON.stringify(o));
        },
        uploadVoice:function(o){
            ext.config = o;
            jsbc.uploadVoice(JSON.stringify(o));
        },
        jsbcPay:function(o){
            ext.config = o;
            jsbc.jsbcPay(JSON.stringify(o));
        },
        goToMainPage:function(o){
            ext.config = o;
            jsbc.goToMainPage();
        },
        scanQRCode:function(o){
            ext.config = o;
            jsbc.scanQRCode(JSON.stringify(o));
        }
    };
    return ext;
})();
function parseWebText(src){
    wx.parseWebText({
        text:document.getElementById('app_news_content').innerText
    });
}

function readArticle(){
    wx.readArticle({
    });
}
function jumpPublish(){
    wx.jumpPublish({
    });
}